Get run timeline
curl --request GET \
--url https://api.skyvern.com/v1/runs/{run_id}/timelineimport requests
url = "https://api.skyvern.com/v1/runs/{run_id}/timeline"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.skyvern.com/v1/runs/{run_id}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"block": {
"workflow_run_block_id": "<string>",
"workflow_run_id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"block_workflow_run_id": "<string>",
"description": "<string>",
"parent_workflow_run_block_id": "<string>",
"label": "<string>",
"status": "<string>",
"output": {},
"continue_on_failure": false,
"failure_reason": "<string>",
"error_codes": [],
"task_id": "<string>",
"url": "<string>",
"navigation_goal": "<string>",
"navigation_payload": {},
"data_extraction_goal": "<string>",
"data_schema": {},
"terminate_criterion": "<string>",
"complete_criterion": "<string>",
"actions": [],
"include_action_history_in_verification": false,
"include_extracted_text": true,
"duration": 123,
"loop_values": [
"<unknown>"
],
"current_value": "<string>",
"current_index": 123,
"recipients": [
"<string>"
],
"attachments": [
"<string>"
],
"subject": "<string>",
"body": "<string>",
"prompt": "<string>",
"instructions": "<string>",
"positive_descriptor": "<string>",
"negative_descriptor": "<string>",
"executed_branch_id": "<string>",
"executed_branch_expression": "<string>",
"executed_branch_result": true,
"executed_branch_next_block": "<string>",
"script_run": {
"ai_fallback_triggered": false,
"script_id": "<string>",
"script_revision_id": "<string>"
},
"downloaded_file_count": 123
},
"thought": {
"thought_id": "<string>",
"task_id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"workflow_run_id": "<string>",
"workflow_run_block_id": "<string>",
"workflow_id": "<string>",
"workflow_permanent_id": "<string>",
"user_input": "<string>",
"observation": "<string>",
"thought": "<string>",
"answer": "<string>",
"thought_type": "plan",
"output": {},
"input_token_count": 123,
"output_token_count": 123,
"reasoning_token_count": 123,
"cached_token_count": 123,
"thought_cost": 123,
"last_llm_model": "<string>"
},
"children": []
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Runs
Get run timeline
Get timeline for a run (workflow run or task_v2 run)
GET
/
v1
/
runs
/
{run_id}
/
timeline
Get run timeline
Headers
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.
Path Parameters
The id of the workflow run or task_v2 run.
Examples:
"wr_123"
"tsk_v2_123"
Response
Successfully retrieved run timeline
Was this page helpful?
⌘I

